{include file="admin/_head.tpl" title="%s"|args:$plugin.nom current="plugin_%s"|args:$plugin.id}

{include file="%s_nav.tpl"|args:$plugin_tpl current="entrees_definitives"}

<form method="post" action="{$self_url}">
	<fieldset>
		<legend>Ajouter une entrée définitive d'un matériel pas encore répertorié</legend>
		{form_errors}
    <dl>
      <dt><label for="f_kind">Type</label> <b>(obligatoire)</b></dt>
			<dd>
      	<select name="kind" id="f_kind">
        	{foreach from=$kinds item="kind"}
          	<option value="{$kind}"{if $selected_kind == $kind} selected="selected"{/if}>{$kind}</option>
          {/foreach}
        </select>
      </dd>
      {input type="date" name="date_entree" default=$date label="Date d'entrée" required=true }
			{input type="number" name="number" label="Nombre d'entrée" required=true step="1" min="1" default="1"}
    </dl>
		<fieldset>
			<legend><h3>Matériel</h3></legend>
	    <dl>
				<dt><label for="f_cat">Catégorie</label> <b>(obligatoire)</b></dt>
        <dd>
        	<select name="category_id" id="f_cat">
          	{foreach from=$cats item="cat"}
            	<option value="{$cat.id}"{if $selected_cat == $cat.id} selected="selected"{/if}>{$cat.name}</option>
            {/foreach}
          </select>
        </dd>
				<dt><label for="f_cat">Localisation</label> <b>(obligatoire)</b></dt>
        <dd>
        	<select name="location_id" id="f_loc">
          	{foreach from=$locs item="loc"}
            	<option value="{$loc.id}"{if $selected_loc == $loc.id} selected="selected"{/if}>{$loc.name}</option>
            {/foreach}
          </select>
        </dd>
				{input type="text" name="designation" label="Désignation" required=true maxlength="255"}
	    </dl>
		</fieldset>
	</fieldset>
	<p class="submit">
		{csrf_field key=$csrf_key}
		{button type="submit" name="save" label="Enregistrer" shape="right" class="main"}
    {linkbutton label="Annuler" shape="export" href=$cancel_link}
	</p>
</form>

{include file="admin/_foot.tpl"}
