<?php

namespace Garradin;

use Garradin\Plugin\Materiels\Entry;
use Garradin\Plugin\Materiels\Category;
use Garradin\Plugin\Materiels\Location;

require_once __DIR__ . '/../../_inc.php';

$entry = new Entry;
$kinds = $entry->listKinds();
$selected_kind = $kinds[0];

$cat = new Category;
$cats = $cat->listAll();
$selected_cat = $cats[0]->id;

$loc = new Location;
$locs = $loc->listAll();
$selected_loc = $locs[0]->id;

$csrf_key = 'add_entry';

$date = new \DateTime;
$date->setTimestamp(time());

$cancel_link = PLUGIN_URL . 'entrees/definitives/index.php';

$tpl->assign(compact('kinds', 'cats', 'locs', 'date', 'selected_kind', 'selected_cat', 'selected_loc', 'cancel_link', 'csrf_key'));

$tpl->display(PLUGIN_ROOT . '/templates/entrees/definitives/non_repertorie.tpl');
