<?php

namespace Garradin\Plugin\Materiels;

use Garradin\DB;

class Location
{
  protected $columns_order = array(
    'id',
    'name',
  );

  public function add($data = [])
	{
		DB::getInstance()->insert('plugin_materiels_location', $data);
	}

  public function edit($id, $data = [])
	{
    $db = DB::getInstance();
    $db->update('plugin_materiels_location', $data, $db->where('id', $id));
	}


  public function delete($id)
	{
		DB::getInstance()->delete('plugin_materiels_location', 'id = ' . $id);
	}

  public function get($id)
  {
    return DB::getInstance()->first('SELECT * FROM plugin_materiels_location WHERE id = ?;', $id);
  }

  public function listAll()
	{
		return DB::getInstance()->get('SELECT * FROM plugin_materiels_location ORDER BY name;');
	}
}
